fuzzydl

## Class TriangularModifier

- java.lang.Object
- - fuzzydl.Modifier
  - - fuzzydl.TriangularModifier

-     public class TriangularModifier
      extends Modifier

  Triangular modifier.
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TriangularModifier(java.lang.String name, double a, double b, double c)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getA()` Gets parameter a.
    `double` | `getB()` Gets parameter b.
    `double` | `getC()` Gets parameter c.
    `double` | `getMembershipDegree(double x)` Gets the image in [0,1] of a real number to the modifier.
    `java.lang.String` | `getName()` Gets the definition of the modifier.
    `Concept` | `modify(Concept c)` Modifies a fuzzy concept
    `void` | `solveAssertion(Individual ind, Concept con, Degree lowerLimit, KnowledgeBase kb)` Solves an assertion of the form (individual, concept, lower degree) with respect to a fuzzy KB.

    - ### Methods inherited from class fuzzydl.Modifier

      `setName, solveComplementAssertion, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TriangularModifier

          public TriangularModifier(java.lang.String name,
                                    double a,
                                    double b,
                                    double c)
                             throws FuzzyOntologyException

      Throws:
        `FuzzyOntologyException`

  - ### Method Detail

    - #### getA

          public double getA()

      Gets parameter a.
      Returns:
        Parameter a.

    - #### getB

          public double getB()

      Gets parameter b.
      Returns:
        Parameter b.

    - #### getC

          public double getC()

      Gets parameter c.
      Returns:
        Parameter c.

    - #### modify

          public Concept modify(Concept c)

      Description copied from class: `Modifier`
      Modifies a fuzzy concept
      Specified by:
        `modify` in class `Modifier`
      Parameters:
        `c` - A fuzzy concept
      Returns:
        Fuzzy concept resulting from the application of the modifier to c.

    - #### getName

          public java.lang.String getName()

      Description copied from class: `Modifier`
      Gets the definition of the modifier.
      Specified by:
        `getName` in class `Modifier`
      Returns:
        Definition of the modifier.

    - #### getMembershipDegree

          public double getMembershipDegree(double x)

      Description copied from class: `Modifier`
      Gets the image in [0,1] of a real number to the modifier.
      Specified by:
        `getMembershipDegree` in class `Modifier`
      Parameters:
        `x` - A real number in the range of values of the modifierfunction.
      Returns:
        Image in [0,1] of x to the explicit modifier function.

    - #### solveAssertion

          public void solveAssertion(Individual ind,
                                     Concept con,
                                     Degree lowerLimit,
                                     KnowledgeBase kb)

      Description copied from class: `Modifier`
      Solves an assertion of the form (individual, concept, lower degree) with respect to a fuzzy KB.
      Specified by:
        `solveAssertion` in class `Modifier`
      Parameters:
        `ind` - An individual.
        `con` - A concept.
        `lowerLimit` - Lower bound for the degree.
        `kb` - A fuzzy KB.